Bug 2028212 (CVE-2021-4019) - CVE-2021-4019 vim: heap-based buffer overflow in find_help_tags() in help.c
Summary: CVE-2021-4019 vim: heap-based buffer overflow in find_help_tags() in help.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-4019
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2029171 2029172 2028213 2028429 2028430 2028431
Blocks: 2028214
TreeView+ depends on / blocked
 
Reported: 2021-12-01 17:55 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-05-17 09:50 UTC (History)
18 users (show)

Fixed In Version: vim 8.2.3669
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. A possible heap-based buffer overflow vulnerability allows an attacker to input a specially crafted file, leading to a crash or code execution. The highest threat from this vulnerability is system availability.
Clone Of:
Environment:
Last Closed: 2022-02-01 22:01:53 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0366 0 None None None 2022-02-01 21:01:00 UTC

Description Guilherme de Almeida Suckevicz 2021-12-01 17:55:06 UTC
Vim is vulnerable to heap-based buffer overflow.

Reference:
https://huntr.dev/bounties/d8798584-a6c9-4619-b18f-001b9a6fca92

Upstream patch:
https://github.com/vim/vim/commit/bd228fd097b41a798f90944b5d1245eddd484142

Comment 1 Guilherme de Almeida Suckevicz 2021-12-01 17:55:21 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2028213]

Comment 5 errata-xmlrpc 2022-02-01 21:00:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0366 https://access.redhat.com/errata/RHSA-2022:0366

Comment 6 Product Security DevOps Team 2022-02-01 22:01:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-4019


Note You need to log in before you can comment on or make changes to this bug.